com.sun.source.tree

## Interface NewArrayTree

- All Superinterfaces:
    ExpressionTree, Tree

      public interface NewArrayTree
      extends ExpressionTree

  A tree node for an expression to create a new instance of an array. For example:

         new type dimensions initializers

         new type dimensions [ ] initializers

  Since:
    1.6
  See The Java™ Language Specification:
    section 15.10

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends ExpressionTree>` | `getDimensions()`
    `List<? extends ExpressionTree>` | `getInitializers()`
    `Tree` | `getType()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getType

          Tree getType()

    - #### getDimensions

          List<? extends ExpressionTree> getDimensions()

    - #### getInitializers

          List<? extends ExpressionTree> getInitializers()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.